%define api		1
%define dbusmajor	0
%define major		1
%define libname		%mklibname %{name} %{major}
%define libdbus		%mklibname %{name}-dbus %{api} %{dbusmajor}
%define develname	%mklibname -d %{name}
%define giolibname	%mklibname gio 2.0 0

%define busname		ca.desrt.dconf-editor

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	An editor for the Dconf configuration system
Name:		dconf-editor
Version:	3.18.2
Release:	%mkrel 1
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+ and GPLv2+ and GPLv3+
Group:		Graphical desktop/Mate
URL:		https://wiki.gnome.org/dconf
BuildRequires: desktop-file-utils
BuildRequires: gtk-doc
BuildRequires: intltool
BuildRequires:%{_lib}atk1.0-devel
BuildRequires:%{_lib}cairo-devel
BuildRequires:%{_lib}dbus-1-devel
BuildRequires:%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:%{_lib}glib2.0-devel
BuildRequires:%{_lib}gtk+3.0-devel
BuildRequires:%{_lib}pango1.0-devel
BuildRequires:%{_lib}xml2-devel
BuildRequires: vala
BuildRequires: vala-devel 

Requires:	dbus
Requires:	dconf

%description
This is a graphical editor for the Dconf configuration system.

%prep
%setup -q
%apply_patches

# missing semicolon (';') as trailing character for locale string list key "Keywords[ro]"
sed -i -e 's|configurări;configurație;setări"|configurări;configurație;setări;"|' po/ro.po


%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

#we need this beacuse ibus and gdm installs file there
install -d %{buildroot}%{_sysconfdir}/dconf/db
install -d %{buildroot}%{_sysconfdir}/dconf/profile

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang dconf

%files -f dconf.lang
%{_bindir}/dconf-editor
%{_mandir}/man1/dconf-editor.*
%{_datadir}/applications/%{busname}.desktop
%{_iconsdir}/hicolor/*/apps/dconf-editor*.*
%{_datadir}/appdata/ca.desrt.dconf-editor.appdata.xml
%{_datadir}/dbus-1/services/%{busname}.service
%{_datadir}/glib-2.0/schemas/%{busname}.gschema.xml


%changelog
* Sat Nov 14 2015 bb <bb> 3.18.2-1pclos2015
- update

* Wed Oct 14 2015 bb <bb> 3.18.1-2pclos2015
- rebuild for updates

* Tue Oct 13 2015 bb <bb> 3.18.1-1pclos2015
- update
